Bug 504418 - In virt-inspector: "download: guestfs_download reply failed, see earlier error messages"
In virt-inspector: "download: guestfs_download reply failed, see earlier erro...
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-06 12:36 EDT by Richard W.M. Jones
Modified: 2010-03-27 06:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-06-06 12:36:23 EDT
This error happens rarely in virt-inspector:

download: guestfs_download reply failed, see earlier error messages at [...]

when downloading the /boot/initrd*.img.  There are no
'earlier error messages'.

Possibly an instance of bug 501888 (although there is
no 'internal error: reply callback called twice' which
we would expect to see).

Also possible that this is a bug or untested corner in
the Perl bindings.
Comment 1 Richard W.M. Jones 2009-06-29 10:35:14 EDT
This changeset should ease the problem although it is
only a workaround:
http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=4dff42aa13dd726fb6b02843d0f4db4b4b330fe3
Comment 2 Richard W.M. Jones 2009-09-14 14:40:59 EDT
We think the following patch should fix this error
comprehensively:

http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=0a0d743ba80e33e676084f2a254c63d4188857b0
Comment 3 Fedora Update System 2009-09-15 07:00:21 EDT
libguestfs-1.0.70-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.70-1.fc11
Comment 4 Fedora Update System 2009-09-15 07:34:37 EDT
libguestfs-1.0.70-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.70-1.el5
Comment 5 Fedora Update System 2009-10-03 15:03:06 EDT
libguestfs-1.0.70-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Richard W.M. Jones 2010-03-27 06:16:20 EDT
As noted in comment 2, the communications code was
extensively rewritten which should obsolete this bug.

Note You need to log in before you can comment on or make changes to this bug.